=== debian/control ===
Source: startdde
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 dde-api-dev(>> 3.16.0+),
 debhelper-compat (= 11),
 golang-dlib-dev (>> 1.8.0+),
 golang-github-davecgh-go-spew-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.6.0+),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-github-stretchr-testify-dev,
 golang-go,
 golang-golang-x-xerrors-dev,
 golang-gopkg-check.v1-dev,
 jq,
 libxcursor-dev,
 libxfixes-dev,
 libxi-dev,
 pkg-config,
Standards-Version: 4.5.1
Homepage: http://github.com/linuxdeepin/startdde

Package: startdde
Architecture: any
Provides:
 x-session-manager,
Depends:
 dde-api,
 dde-daemon (>> 3.24.1+),
 deepin-desktop-schemas (>> 5.2.0+),
 deepin-turbo,
 deepin-turbo-booster,
 deepin-wm | deepin-metacity | dde-kwin,
 gnome-keyring,
 gvfs-bin,
 libpam-gnome-keyring,
 procps,
 xinput,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-qt5integration,
Conflicts:
 deepin-session,
 deepin-wm-switcher,
Breaks:
 deepin-desktop-schemas(<= 5.8.44),
Description: start deepin desktop environment
 starter of deepin desktop environment.
