## startdde 5.9.15.1

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,17 @@
 PREFIX = /usr
 GOPATH_DIR = gopath
-GOPKG_PREFIX = pkg.deepin.io/dde/startdde
+GOPKG_PREFIX = github.com/linuxdeepin/startdde
 GOBUILD = go build -v $(GO_BUILD_FLAGS)
 export GO111MODULE=off
+export GOPATH= $(shell go env GOPATH)
+
+LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
 all: build
 
 prepare:
-	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
-		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
-		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
-		fi
+	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
+	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};
 
 auto_launch_json:
 ifdef AUTO_LAUNCH_CHINESE
@@ -27,10 +28,16 @@
 fix-xauthority-perm:
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o fix-xauthority-perm ${GOPKG_PREFIX}/cmd/fix-xauthority-perm
 
-greeter-display-daemon:
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o greeter-display-daemon ${GOPKG_PREFIX}/cmd/greeter-display-daemon
+out/locale/%/LC_MESSAGES/startdde.mo: misc/po/%.po
+	mkdir -p $(@D)
+	msgfmt -o $@ $<
 
-build: prepare startdde auto_launch_json fix-xauthority-perm greeter-display-daemon
+translate: $(addsuffix /LC_MESSAGES/startdde.mo, $(addprefix out/locale/, ${LANGUAGES}))
+
+pot:
+	deepin-update-pot misc/po/locale_config.ini
+
+build: prepare startdde auto_launch_json fix-xauthority-perm translate
 
 test: prepare
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...
@@ -46,7 +53,8 @@
 	mkdir -p ${DESTDIR}${PREFIX}/share/xsessions
 	@for i in $(shell ls misc/xsessions/ | grep -E '*.in$$' );do sed 's|@PREFIX@|$(PREFIX)|g' misc/xsessions/$$i > ${DESTDIR}${PREFIX}/share/xsessions/$${i%.in}; done
 	install -Dm755 fix-xauthority-perm ${DESTDIR}${PREFIX}/sbin/deepin-fix-xauthority-perm
-	install -Dm755 greeter-display-daemon ${DESTDIR}${PREFIX}/lib/deepin-daemon/greeter-display-daemon
+	install -d -m755 ${DESTDIR}${PREFIX}/lib/deepin-daemon/
+	ln -sfv ../../bin/startdde ${DESTDIR}${PREFIX}/lib/deepin-daemon/greeter-display-daemon
 	install -Dm644 misc/lightdm.conf ${DESTDIR}${PREFIX}/share/lightdm/lightdm.conf.d/60-deepin.conf
 	mkdir -p ${DESTDIR}${PREFIX}/share/startdde/
 	install -v -m0644 misc/config/* ${DESTDIR}${PREFIX}/share/startdde/
@@ -59,11 +67,14 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
 	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/
 
+	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
+	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale
+
+
 clean:
 	rm -rf ${GOPATH_DIR}
 	rm -f startdde
 	rm -f fix-xauthority-perm
-	rm -f greeter-display-daemon
 
 rebuild: clean build
