=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export GOPATH := /usr/share/gocode
+export GOCACHE=/tmp/gocache
 ifeq ($(DEB_BUILD_ARCH),sw_64)
 	export AUTO_LAUNCH_CHINESE=1
 endif
