=== debian/changelog ===
startdde (5.9.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:33:19 +0800
