## startdde 5.9.44

=== debian/changelog ===
startdde (5.9.44-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 27 Jun 2022 10:41:58 +0800
