=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  dde-api-dev(>> 3.16.0+),
  debhelper-compat (= 11),
- golang-dlib-dev (>> 1.8.0+),
+ golang-github-linuxdeepin-go-lib-dev (>> 1.8.0+),
  golang-github-davecgh-go-spew-dev,
  golang-github-fsnotify-fsnotify-dev,
  golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.6.0+),
@@ -15,6 +15,7 @@
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
  jq,
+ libsecret-1-dev,
  libxcursor-dev,
  libxfixes-dev,
  libxi-dev,
@@ -33,11 +34,16 @@
  deepin-turbo,
  deepin-turbo-booster,
  deepin-wm | deepin-metacity | dde-kwin,
+ deepin-proxy,
  gnome-keyring,
  gvfs-bin,
  libpam-gnome-keyring,
  procps,
  xinput,
+ dde-wloutput,
+ dde-wloutput-daemon,
+ dde-wayland-config,
+ dde-wldpms,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
