## startdde 5.9.47

=== debian/changelog ===
startdde (5.9.47-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 14:06:36 +0800

startdde (3.0.7) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- 范朋程 <fanpengcheng@uniontech.com>  Tue, 2 Aug 2022 14:41:16 +0800
