## startdde 5.9.50

=== debian/changelog ===
startdde (5.9.50-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:41:03 +0800
