=== debian/changelog ===
startdde (5.9.53-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:16:57 +0800
