=== debian/control ===
--- 
+++ 
@@ -36,7 +36,6 @@
  deepin-wm | deepin-metacity | dde-kwin,
  deepin-proxy,
  gnome-keyring,
- gvfs-bin,
  libpam-gnome-keyring,
  procps,
  xinput,
