## startdde 5.9.57

=== debian/changelog ===
startdde (5.9.57-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:07:55 +0800
