## startdde 5.9.70

=== debian/changelog ===
startdde (5.9.70-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 10:45:22 +0800

startdde (5.9.64) unstable; urgency=low

  * bump version to 5.9.64

 -- lichangze <lichangze@uniontech.com>  Wed, 11 Jan 2023 16:12:29 +0800

startdde (5.9.63) unstable; urgency=low

  * bump version to 5.9.63

 -- lichangze <lichangze@uniontech.com>  Fri, 6 Jan 2023 14:20:05 +0000
