=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  golang-go,
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
+ golang-github-jouyouyun-hardware-dev,
  jq,
  libsecret-1-dev,
  libxcursor-dev,
@@ -40,7 +41,7 @@
  procps,
  xinput,
  dde-wloutput,
- dde-wloutput-daemon,
+ dde-wloutput-daemon (>> 1.0.5),
  dde-wayland-config,
  dde-wldpms,
  ${misc:Depends},
