=== debian/changelog ===
startdde (6.0.15) unstable; urgency=medium

  * chore: fix archlinux build
  * feat: 添加检查是否支持色温的接口
  * feat: 支持插件设置护眼模式

 -- Wang Fei <wangfei@deepin.org>  Mon, 08 Jul 2024 13:37:56 +0800

startdde (6.0.14) unstable; urgency=medium

  * fix: never set cursorSize for deepin-kwin

 -- rewine <luhongxu@deepin.org>  Thu, 07 Mar 2024 10:47:55 +0800

startdde (6.0.13) unstable; urgency=medium

  fix: export proxy env error
  fix: dde-display-service not started

 -- dengbo <dengbo@deepin.org>  Fri, 05 Jan 2024 13:57:35 +0800

startdde (6.0.12) unstable; urgency=medium

  * Not set plymouth when setting scale

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 25 Dec 2023 10:42:34 +0800

startdde (6.0.11) unstable; urgency=medium

  * remove env update script to dde-session
  * clean code

 -- dengbo <dengbo@deepin.org>  Wed, 22 Nov 2023 15:57:50 +0800

startdde (6.0.10) unstable; urgency=medium

  * Update obs workflow configuration
  * Add multiple qt wayland backends

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 05 Sep 2023 14:26:00 +0800

startdde (6.0.9) unstable; urgency=medium

  * chore: remove gvfs-bin dependency from control file
  * feat: search config file in xdg dir
  * feat: aviod use hardcode path
  * fix: systemd target service link to temporary build dir

 -- dengbo <dengbo@deepin.org>  Tue, 22 Aug 2023 10:53:50 +0800

startdde (6.0.8) unstable; urgency=medium

  * fix: 关机音效存在杂音

 -- dengbo <dengbo@uniontech.com>  Fri, 12 May 2023 18:33:25 +0800

startdde (6.0.7) unstable; urgency=medium

  * chore: remove unused file
  * feat: 允许用户通过 force-scale-factor.ini 强制设置全局缩放
  * chore: remove dde-wayland-config
  * fix: unset QT_LOGGING_RULES on deepin

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 14:48:20 +0800

startdde (6.0.6) unstable; urgency=medium

  * chore: add gomod
  * feat: support qt wayland integration plugin
  * chore: remove deepin-turbo depend
  * fix: 系统升级成功消息重复弹出

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:33:55 +0800

startdde (6.0.5) unstable; urgency=medium

  * remove dde-kwin runtime dependencies
  * remove dde-api-proxy from dependencies list

 -- zsien <quezhiyong@uniontech.com>  Tue, 28 Mar 2023 15:28:48 +0800

startdde (6.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * chore: delete unused(Task: 230459)(Influence: null)
  * chore: delete iowait(Task: 230459)(Influence: null)
  * chore: delete autostop/wm/proxychains/xcursor(Task: 230459)(Influence: null)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 18:38:22 +0800

startdde (6.0.3.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 迁移sessionManager服务接口(Task: 203055)(Influence: 关机注销登录重启等功能)
  * feat: 迁移WMSwitcher服务接口(Task: 203055)(Influence: 特效的开启关闭)
  * feat: 迁移LoginReminder功能(Task: 203055)(Influence: 登录后弹窗通知登录信息，例如密码有效天数)
  * chore: 删除已经迁移的功能(Task: 203055)(Influence: 无)
  * chore: 优化避免产生僵尸进程(Task: 219131)(Influence: 优化)
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)
  * chore: 添加依赖，预装DDE接口代理服务(Task: 207483)(Influence: 预装DDE接口代理服务)
  * fix: 笔记本亮度无法调节问题修复(Task: 225039)(Influence: 笔记本亮度设置)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 20:31:49 +0800

startdde (6.0.2) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: 添加重构的个性化服务依赖(Task: 118089)(Influence: 无)
  * feat: 兼容V20接口(Task: 169315)(Influence: 无)
  * fix: 当主屏发生变化后，及时更新到xsetting和窗管(Bug: 149111)(Influence: 当主屏发生变化后，及时更新到xsettings和窗管)
  * feat: 去掉autostart中的dde-polkit-agent(Task: 184775)(Influence: 服务自启方式)
  * fix: 修复系统语言切换失败问题(Bug: 146727)(Influence: 控制中心-键盘和语言-系统语言切换)
  * chore: 触发编译(Task: 160471)(Influence: 无)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 10:59:56 +0800

startdde (6.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix(display): 获取sessionPath方式错误，阻塞了display设置(Bug: 141713)(Influence: display)

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 11:47:42 +0800

startdde (6.0.0.0) unstable; urgency=low

  * release 6.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:13:13 +0800
