## startdde 6.0.19

=== debian/changelog ===
startdde (6.0.19) unstable; urgency=medium

  * chore: rename "Qt/ActiveColorDark" to "Qt/DarkActiveColor"

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 14:58:37 +0800

startdde (6.0.18) unstable; urgency=medium

  * No changes in this release. Version bump for internal reasons.

 -- Zhang Kun <zhangkun2@uniontech.com>  Wed, 25 Sep 2024 16:24:48 +0800

startdde (6.0.17) unstable; urgency=medium

  * chore: 紧凑模式需要设置DTK/SizeMode

 -- fuleyi <fuleyi@uniontech.com>  Thu, 12 Sep 2024 13:29:25 +0800

startdde (6.0.16) unstable; urgency=medium

  * chore: 解决色温没有自动调节的问题 (#262) 

 -- fuleyi <fuleyi@uniontech.com>  Wed, 28 Aug 2024 17:29:52 +0800
