=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  golang-go,
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
- golang-github-jouyouyun-hardware-dev,
  jq,
  libsecret-1-dev,
  libxcursor-dev,
@@ -32,18 +31,16 @@
  dde-api,
  dde-daemon (>> 3.24.1+),
  deepin-desktop-schemas (>> 5.2.0+),
- deepin-turbo,
- deepin-turbo-booster,
- deepin-wm | deepin-metacity | dde-kwin,
  deepin-proxy,
  gnome-keyring,
  libpam-gnome-keyring,
  procps,
  xinput,
  dde-wloutput,
- dde-wloutput-daemon (>> 1.0.5),
- dde-wayland-config,
+ dde-wloutput-daemon,
  dde-wldpms,
+ redshift,
+ dde-appearance,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
