=== debian/changelog ===
startdde (6.1.6) unstable; urgency=medium

  * feat: 去掉qt5相关依赖

 -- fuleyi <fuleyi@uniontech.com>  Thu, 27 Mar 2025 14:31:55 +0800

startdde (6.1.5) unstable; urgency=medium

  * feat: 色温调节支持用户自定义 (#287)

 -- ChengqiE <echengqi@uniontech.com>  Thu, 06 Mar 2025 19:32:58 +0800

startdde (6.1.4) unstable; urgency=medium

  * feat: 色温调节支持用户自定义 (#285)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 05 Mar 2025 17:32:58 +0800

startdde (6.1.3) unstable; urgency=medium

  * fix:修复首次外接双屏，默认应该为扩展模式 (#283)

 -- Chengqi E <echengqi@uniontech.com>  Tue, 27 Feb 2025 16:33:38 +0800

startdde (6.1.2) unstable; urgency=medium

  * fix: 修复第一次安装系统，高分辨屏幕缩放错误 (#281)

 -- Chengqi E <echengqi@uniontech.com>  Tue, 14 Jan 2025 16:33:38 +0800

startdde (6.1.1) unstable; urgency=medium

  * feat: 将xsettings的gsetting配置迁移到dconfig中 (#277)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 25 Dec 2024 10:20:38 +0800

startdde (6.1.0) unstable; urgency=medium

  * chore: chore: rename "Qt/ActiveColorDark" to "Qt/DarkActiveColor"
  * chore: add the QtActiveColorDark setting

 -- Wang Fei <wangfei@deepin.org>  Fri, 06 Dec 2024 10:43:21 +0800
