=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export GOPATH := /usr/share/gocode
export GOCACHE=/tmp/gocache
export GO111MODULE = off

ifeq ($(DEB_BUILD_ARCH),sw_64)
	export AUTO_LAUNCH_CHINESE=1
endif

ifeq ($(DEB_BUILD_ARCH),mips64el)
	export AUTO_LAUNCH_CHINESE=1
endif

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

ifeq ($(DEB_BUILD_ARCH),sw_64)
override_dh_strip:
	true
override_dh_auto_test:
	true
endif
